All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.navigationbar
Class BaseNavigationBarElement

    com.sas.servlet.tbeans.navigationbar.BaseNavigationBarElement

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, RenderableInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  NavigationBarEditingElement, NavigationBarScrollingElement

    @SASScope(value="ALL")
    public abstract class BaseNavigationBarElement

The abstract Transformation Bean base object for creating elements for navigating through a Transformation Bean's model. This class requires a model that implements `BaseNavigationInterface`.

A NavigationBarElement can be added to a NavigationBar, any subclass of `BaseNavigationBar`. An element handles rendering all the actions of a particular functionality. For example, scrolling, editing, etc.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on these custom tags.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  `BaseNavigationBar`, Serialized Form

Constructor Summary
`BaseNavigationBarElement()` Default Constructor

Method Summary
`BaseNavigationInterface` | `getModel()` Return the model for the navigationbar element.
`void` | `setModel(BaseNavigationInterface model)` Sets the model for the navigationbar element.

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getActionProvider, getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Constructor Detail

### BaseNavigationBarElement

    public BaseNavigationBarElement()

  Default Constructor

Method Detail

### getModel

    public BaseNavigationInterface getModel()

  Return the model for the navigationbar element. Returns null if not set.

  Returns:
    the model for the navigationbar element

### setModel

    public void setModel(BaseNavigationInterface model)

  Sets the model for the navigationbar element. The model should be set before calling the write methods. If the model is not set then an exception will be thrown when the write methods are called.

  Parameters:
    `model` - the model for the navigationbar element

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.